Ask Your Question
0

Autoware source build,compile error

asked 2020-10-03 01:37:45 -0500

blakeyan gravatar image

Ubuntu 16.04 ros kinetic
gcc g++ version 6.5.0
Follwing this,I want to install autoware 1.12.0. But when I entered the following command,
colcon build --cmake-args -DCMAKE_BUILD_TYPE=Release
errors occurred.

 Starting >>> ndt_gpu
[27.384s] WARNING:colcon.colcon_cmake.task.cmake.build:Could not run installation step for package 'ndt_gpu' because it has no 'install' target
--- stderr: ndt_gpu
** WARNING ** io features related to pcap will be disabled
** WARNING ** io features related to png will be disabled
** WARNING ** io features related to libusb-1.0 will be disabled
CMake Warning at /home/quanfayan/autoware.ai/install/autoware_build_flags/share/autoware_build_flags/cmake/autoware_build_flags-extras.cmake:36 (message):
  CUDA support is disabled.  Set the AUTOWARE_COMPILE_WITH_CUDA environment
  variable and recompile to enable it
Call Stack (most recent call first):
  CMakeLists.txt:22 (AW_CHECK_CUDA)


ndt_gpu will not be built, CUDA was not found.
---
Finished <<< ndt_gpu [2.44s]
Starting >>> rosinterface
Finished <<< kitti_player [6.32s]        
Starting >>> runtime_manager
--- stderr: pcl_omp_registration         
In file included from /home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/ndt.h:45:0,
                 from /home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/src/ndt.cpp:46:
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:181:23: error: expected identifier before string constant
       PCL_DEPRECATED ("[pcl::registration::Registration::setInputCloud] setInputCloud is deprecated. Please use setInputSource instead.")
                       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:181:23: error: expected ‘,’ or ‘...’ before string constant
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:181:137: error: ISO C++ forbids declaration of ‘PCL_DEPRECATED’ with no type [-fpermissive]
 etInputCloud] setInputCloud is deprecated. Please use setInputSource instead.")
                                                                               ^
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:181:137: error: expected ‘;’ at end of member declaration
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:186:23: error: expected identifier before string constant
       PCL_DEPRECATED ("[pcl::registration::Registration::getInputCloud] getInputCloud is deprecated. Please use getInputSource instead.")
                       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:186:23: error: expected ‘,’ or ‘...’ before string constant
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:186:137: error: ISO C++ forbids declaration of ‘PCL_DEPRECATED’ with no type [-fpermissive]
 etInputCloud] getInputCloud is deprecated. Please use getInputSource instead.")
                                                                               ^
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:186:137: error: expected ‘;’ at end of member declaration
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:186:7: error: ‘int pcl_omp::Registration<PointSource, PointTarget, Scalar>::PCL_DEPRECATED(int)’ cannot be overloaded
       PCL_DEPRECATED ("[pcl::registration::Registration::getInputCloud] getInputCloud is deprecated. Please use getInputSource instead.")
       ^~~~~~~~~~~~~~
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:181:7: error: with ‘int pcl_omp::Registration<PointSource, PointTarget, Scalar>::PCL_DEPRECATED(int)’
       PCL_DEPRECATED ("[pcl::registration::Registration::setInputCloud] setInputCloud is deprecated. Please use setInputSource instead.")
       ^~~~~~~~~~~~~~
/home/quanfayan/autoware.ai/src/autoware/core_perception/pcl_omp_registration/include/pcl_omp_registration/registration.h:375:45: error: ‘boost::function’ has not been declared
       registerVisualizationCallback (boost::function<FunctionSignature> &visualizerCallback)
                                             ^~~~~~~~
/home/quanfayan/autoware ...
(more)
edit retag flag offensive close merge delete

Comments

Can you please show us the content of your autoware.ai.repos file?

Josh Whitley gravatar image Josh Whitley  ( 2020-10-03 17:15:21 -0500 )edit

2 Answers

Sort by » oldest newest most voted
0

answered 2020-10-09 11:24:02 -0500

Josh Whitley gravatar image

The versions of gcc, g++, and libpcl are too new. The only versions supported are those provided with the default Ubuntu install (for gcc/g++ these are 5.4.0 and for libpcl, 1.7.2). Please downgrade these packages or create a new Ubuntu 16.04 environment.

edit flag offensive delete link more
0

answered 2020-10-07 19:56:47 -0500

blakeyan gravatar image

updated 2020-10-07 21:22:13 -0500

This is the content of autoware.ai.repos file.

repositories:
  autoware/common:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/common.git
    version: 1.12.0
  autoware/core_perception:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/core_perception.git
    version: 1.12.0
  autoware/core_planning:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/core_planning.git
    version: 1.12.0
  autoware/documentation:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/documentation.git
    version: 1.12.0
  autoware/messages:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/messages.git
    version: 1.12.0
  autoware/simulation:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/simulation.git
    version: 1.12.0
  autoware/utilities:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/utilities.git
    version: 1.12.0
  autoware/visualization:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/visualization.git
    version: 1.12.0
  drivers/awf_drivers:
    type: git
    url: https://gitlab.com/autowarefoundation/autoware.ai/drivers.git
    version: 1.12.0
  citysim:
    type: git
    url: https://github.com/CPFL/osrf_citysim.git
    version: 27bd05bc6c762b3ad8c9bb85f678d4b7ce7a27c5
  car_demo:
    type: git
    url: https://github.com/CPFL/car_demo.git
    version: e364448fad421cb6244c9f828f978d8d877dcbf9
  drivers/ds4:
    type: git
    url: https://github.com/tier4/ds4.git
    version: 5aa2f7f53a67992fffa7c801ed9c663a380b5d4a

I updated pcl to 1.11 and tried to switch the g++ version to 4.7, 6.5 and 8.4, but still encountered new problems.

Starting >>> obj_db
--- stderr: map_tools
CMakeFiles/map_extender.dir/nodes/map_extender/map_extender.cpp.o: In the function ‘initialpose_callback(boost::shared_ptr<geometry_msgs::PoseWithCovarianceStamped_<std::allocator<void>> const> const&)’:
/home/quanfayan/autoware.ai/src/autoware/utilities/map_tools/nodes/map_extender/map_extender.cpp:93: to'tf::Transformer::waitForTransform(std::string const&, std::string const&, ros ::Time const&, ros::Duration const&, ros::Duration const&, std::string*) const' undefined reference
/home/quanfayan/autoware.ai/src/autoware/utilities/map_tools/nodes/map_extender/map_extender.cpp:94: to'tf::Transformer::lookupTransform(std::string const&, std::string const&, ros ::Time const&, tf::StampedTransform&) const' undefined reference
/home/quanfayan/autoware.ai/src/autoware/utilities/map_tools/nodes/map_extender/map_extender.cpp:98: for'ros::console::initializeLogLocation(ros::console::LogLocation*, std::string const&, ros::console::levels::Level)' undefined reference
CMakeFiles/map_extender.dir/nodes/map_extender/map_extender.cpp.o: In the function'pcl::PCDWriter::write(std::string const&, pcl::PCLPointCloud2 const&, Eigen::Matrix<float, 4, 1, 0, 4, 1> const&, Eigen::Quaternion<float, 0> const&, bool)':
/usr/include/pcl-1.7/pcl/io/pcd_io.h:353: for'pcl::PCDWriter::writeASCII(std::string const&, pcl::PCLPointCloud2 const&, Eigen::Matrix<float, 4, 1, 0, 4, 1> const&, Eigen::Quaternion<float, 0> const&, int)' undefined reference
/usr/include/pcl-1.7/pcl/io/pcd_io.h:351: for'pcl::PCDWriter::writeBinary(std::string const&, pcl::PCLPointCloud2 const&, Eigen::Matrix<float, 4, 1, 0, 4, 1> const&, Eigen::Quaternion<float, 0> const&)' undefined reference
CMakeFiles/map_extender.dir/nodes/map_extender/map_extender.cpp.o: In the function'int pcl::PCDWriter::writeASCII<pcl::PointXYZI>(std::string const&, pcl::PointCloud<pcl::PointXYZI> const&, int)':
/usr/include/pcl-1.7/pcl/io/impl/pcd_io.hpp:486: Undefined reference to ‘pcl::PCDWriter::setLockingPermissions(std::string const&, boost::interprocess::file_lock&)’
/usr/include/pcl-1.7/pcl/io/impl/pcd_io ...
(more)
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2020-10-03 01:37:45 -0500

Seen: 1,019 times

Last updated: Oct 09 '20